Skip to main content
`Ctrl`+`K`

# numpy.polynomial.laguerre.lagweight

polynomial.laguerre.lagweight(x)

  Weight function of the Laguerre polynomials.

  The weight function is \(exp(-x)\) and the interval of integration is \([0, \inf]\). The Laguerre polynomials are orthogonal, but not normalized, with respect to this weight function.

  Parameters:
    x array_like

      Values at which the weight function will be computed.

  Returns:
    w ndarray

      The weight function at x.

  Examples

      >>> from numpy.polynomial.laguerre import lagweight
      >>> x = np.array([0, 1, 2])
      >>> lagweight(x)
      array([1.        , 0.36787944, 0.13533528])